Subject: RE: [SIP] REGISTER Method questions.

From: Jonathan Rosenberg <[email-masked]>
Date: Fri, 8 Sep 2000 14:54:06 -0400

> -----Original Message-----
> From: Hisham Khartabil [mailto:[email-masked]]
> Sent: Friday, September 08, 2000 1:52 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: [SIP] REGISTER Method questions.
> 
> 
> 
> 
> "m. ranganathan" wrote:
> 
> > Hello!
> >
> > At the risk of asking simple questions that have been asked 
> and answered
> > in the past,  I would be grateful if somebody could help me 
> understand a
> > few things  about the REGISTER  request.
> >
> > 1. The RFC states that Registrations with the same Call-ID must have
> > increasing CSeq header values, however the server does not 
> reject out of
> > order requests. I am confused about the purpose of the CSeq value in
> > that case. Is there an implication here that the headers must have
> > montonically increasing  (but not necessarily sequentially 
> increasing )
> > values?
> 
> This is for the scenario where an older request arrives at 
> the server later
> than a newer one.

Let me clarify here. In general, CSeq is not sequentially increasing (i.e.,
1,2,3) but just monotonically (this allows it to be derived off the system
clock for robustness across reboots). With REGISTER, the requests are
processed even if out of order; this is again for robustness for devices
without persistent time, and also to allow registrations for the same
address from different devices. Thus, CSeq is not really critical for
registrations, but SHOULD increase in any case for consistency.

> 
> >
> >
> > 2. If a new registration for a given SIP URI supersedes an existing
> > registration for the same URI,  do the contact headers  in the new
> > request replace the existing ones?  (i.e. are the old 
> contact headers
> > implicitly discarded or do they have to be explicitly discarded with
> > another register request containing the contact header and 
> a 0 expires
> > time?)
> 
> no, you don't discard the older ones, you just add the new ones to the
> list.  Contacts are removed when they expire according to the 
> Expires header
> upon registration or with a REGISTER request with expires 0.

Careful; if the contacts in the new registration are the same as in the
existing registration, these update the expiration time for those contacts. 

> 
> >
> >
> > 3. What "action value" is being referred to in the statement "All
> > current registrations must share the same action value"
> 
> Action indicates whether the client wishes that the server 
> proxy or redirect
> future requests intended for the client.  So, you can't have 
> one contact
> with action=proxy and another with action=redirect.

action is a Contact parameter that can be placed in REGISTER contact
headers. As Hisham says, it indicates the clients desired processing.

-Jonathan R.

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip

---

From: "Simon Barber" <[email-masked]>
Date: Fri, 8 Sep 2000 14:01:13 -0700

Hi,

The rfc2543bis-01 specifies that REGISTER requests should be sent both by
multicast and to the home address, with the request-URI set to the domain
portion only of the user's from address. Is this a mistake in the REGISTER
requests in the call flows draft?

The call flows draft does not include an example of REGISTER being forwarded
through proxies to reach the registration server for the 'from' domain.
Could we have an example of this please? also perhaps a more explicit
example of how REGISTER is sent *both* multicast to a local registration
server *and* unicast to the home server.

Simon Barber

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of Jonathan Rosenberg
Sent: Friday, September 08, 2000 11:54 AM
To: 'Hisham Khartabil'; [email-masked]'
Cc: [email-masked]'
Subject: RE: [SIP] REGISTER Method questions.

-Jonathan R.